## GtkShortcutsGroup GtkShortcutsGroup — Represents a group of shortcuts in a GtkShortcutsWindow |

## Properties

GtkSizeGroup * | accel-size-group | Write
guint | height | Read
gchar * | title | Read / Write
GtkSizeGroup * | title-size-group | Write
gchar * | view | Read / Write

## Types and Values

| GtkShortcutsGroup

## Object Hierarchy

        GObject
        ╰── GInitiallyUnowned
            ╰── GtkWidget
                ╰── GtkContainer
                    ╰── GtkBox
                        ╰── GtkShortcutsGroup

## Implemented Interfaces

GtkShortcutsGroup implements AtkImplementorIface, GtkBuildable and GtkOrientable.

## Includes

    #include <gtk/gtk.h>

## Description

A GtkShortcutsGroup represents a group of related keyboard shortcuts or gestures. The group has a title. It may optionally be associated with a view of the application, which can be used to show only relevant shortcuts depending on the application context.

This widget is only meant to be used with GtkShortcutsWindow.

## Functions

## Types and Values

### GtkShortcutsGroup

    typedef struct _GtkShortcutsGroup GtkShortcutsGroup;

## Property Details

### The `“accel-size-group”` property

      “accel-size-group”         GtkSizeGroup *

The size group for the accelerator portion of shortcuts in this group.

This is used internally by GTK+, and must not be modified by applications.

Flags: Write

### The `“height”` property

      “height”                   guint

A rough measure for the number of lines in this group.

This is used internally by GTK+, and is not useful for applications.

Flags: Read

Default value: 1

### The `“title”` property

      “title”                    gchar *

The title for this group of shortcuts.

Flags: Read / Write

Default value: ""

### The `“title-size-group”` property

      “title-size-group”         GtkSizeGroup *

The size group for the textual portion of shortcuts in this group.

This is used internally by GTK+, and must not be modified by applications.

Flags: Write

### The `“view”` property

      “view”                     gchar *

An optional view that the shortcuts in this group are relevant for. The group will be hidden if the “view-name” property does not match the view of this group.

Set this to `NULL` to make the group always visible.

Flags: Read / Write

Default value: NULL